Bug 71462 - Using wheelmouse on notebook with built-in touchpad
Summary: Using wheelmouse on notebook with built-in touchpad
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-13 21:09 UTC by Bas Mevissen
Modified: 2007-04-18 16:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-13 21:09:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bas Mevissen 2002-08-13 21:09:32 UTC
Most notebooks (all?) have a built-in mouse-device (like a touchpad). The PS/2 
mouse connection is shared with an external device. Now the point is that the 
built-in device only supports the PS/2 protocol and a wheel mouse needs IMPS/2 
to let the wheel work.

What would be very, very nice is to have XFree recognize the type of plugged 
mouse (PS/2 auto detection does at least not work for me). I've tried this in 
Windows 2000, where it works OK on my notebook, so it should be possible.

What is needed is mouse plug/unplug event detection, some way to determine the 
actual mouse protocol supported and hot-change of the used protocol.

Comment 1 Mike A. Harris 2002-08-16 11:24:38 UTC
Indeed, that is what would be nice to have in the long run, however
that isn't a simple hack that can be added to the X server overnight,
but rather a new major feature.

The XFree86 team has this on their roadmap for XFree86 5.0.  Once
it is complete and released, it'll be available in a future release
of Red Hat Linux as well.

For a list of future XFree86 design goals, you can view:

http://www.xfree86.org/~jg/Projects.html

Comment 2 Bas Mevissen 2002-08-19 10:11:16 UTC
OK. I contacted the XFree guys. Maybe I can help to speed things up as I can 
help with the low-level stuff. A short look at the matter makes me feel that it 
is "only" an XInput matter. So maybe it can be still in an 4.x.x release.

It would be nice if Red Hat would help in some way too.


Note You need to log in before you can comment on or make changes to this bug.